Subject: Re: Kernel panic after system reconfiguration

From: Albin <[email-masked]>
Date: Wed, 3 Feb 2016 22:08:03 +0100

Hi again,

I got rid of the kernel panic by removing the following from the config
and reconfiguring (as suggested by Mark Weaver):

> (swap-devices '("/swapfile"))

It would be nice to be able to enable swap again though. On my system it
needs to be done with a swap file.

Albin

Den 2016-02-03 kl. 19:18, skrev Albin:
> Hi,
> 
> With no other changes I just ran guix pull and guix system reconfigure
> on my MacBook2,1 which created an unbootable system.
> 
> After having completed the reconfiguration I tried to halt and reboot
> the system but got this error message each time :
> 
>> error: connect: /var/run/shepherd/socket: file or directory does not exist
> 
> I did a hard shutdown and rebooted.
> 
> Here is a picture of the kernel panic screen:
> https://lut.im/h3kmF9hN8D/pnbWoVVQWj7QYPkr.jpg
> 
> This is my system configuration:
> http://paste.lisp.org/display/306452
> 
> The OS was quite bootable after my last reconfiguration on January 26.
> 
> Albin
> 
> 
>